Results 1 to 8 of 8

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: How to install DPKG

  1. #1
    Livin the iPhone Life AngryPIG's Avatar
    Join Date
    Feb 2011
    Location
    Aberdeen, Scotland, UK
    Posts
    1,439
    Thanks
    320
    Thanked 926 Times in 452 Posts

    Default How to install DPKG
    I was wondering if I could get some help.
    I am very new to OS X and I would like to play around with IOSopenDev.
    I see that you must have DPKG installed and I know you must install MacPorts.
    But when I type in " sudo ports -f install DPKG" I just get a error staying it could not be install.
    cydia.myrepospace.com/AngryPIG/

  2. #2
    Quote Originally Posted by AngryPIG View Post
    I was wondering if I could get some help.
    I am very new to OS X and I would like to play around with IOSopenDev.
    I see that you must have DPKG installed and I know you must install MacPorts.
    But when I type in " sudo ports -f install DPKG" I just get a error staying it could not be install.
    Have you already installed MacPorts?
    Can you be a little more explicit on the error you saw?

  3. #3
    Livin the iPhone Life AngryPIG's Avatar
    Join Date
    Feb 2011
    Location
    Aberdeen, Scotland, UK
    Posts
    1,439
    Thanks
    320
    Thanked 926 Times in 452 Posts

    Yes I do. It says that Xcode is not installed
    Even though it is. It's basically says failed to install

  4. #4
    Quote Originally Posted by AngryPIG View Post
    Yes I do. It says that Xcode is not installed
    Even though it is. It's basically says failed to install
    by explicit, I mean tell us exactly what error messages you see.
    'Basically' isn't enough. Detail counts.

    re: Xcode, what version is installed?
    Which SDKs did you install?
    Where did it install to?

  5. #5
    Livin the iPhone Life AngryPIG's Avatar
    Join Date
    Feb 2011
    Location
    Aberdeen, Scotland, UK
    Posts
    1,439
    Thanks
    320
    Thanked 926 Times in 452 Posts

    install the latest Xcode from mac store thats comes with SDK iOS 5.1 i think. install to default location.


    this is what i get



    Paul-Scotts-MacBook-Pro:~ paul-scott$ sudo port -f install dpkg

    WARNING: Improper use of the sudo command could lead to data loss
    or the deletion of important system files. Please double-check your
    typing when using sudo. Type "man sudo" for more information.

    To proceed, enter your password, or type Ctrl-C to abort.

    Password:
    Error:
    Error: No valid Xcode installation is properly selected.
    Error: Please use xcode-select to select an Xcode installation:
    Error: sudo xcode-select -switch /Applications/Xcode.app/Contents/Developer # version 4.3.3
    Error:
    Warning: xcodebuild exists but failed to execute
    Warning: Xcode does not appear to be installed; most ports will likely fail to build.
    Warning: The Command Line Tools for Xcode don't appear to be installed; most ports will likely fail to build.
    Warning: See 2.2.*Install Xcode for more information.
    ---> Computing dependencies for dpkgError: Unable to execute port: can't read "build.cmd": Failed to locate 'make' in path: '/opt/local/bin:/opt/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin' or at its MacPorts configuration time location, did you move it?
    cydia.myrepospace.com/AngryPIG/

  6. #6
    Quote Originally Posted by AngryPIG View Post
    install the latest Xcode from mac store thats comes with SDK iOS 5.1 i think. install to default location.


    this is what i get
    Thanks.
    That's MUCH more helpful!
    Can you confirm that this directory exists?
    /Applications/Xcode.app/Contents/Developer

    or perhaps?
    /Developer/

    Anyway, if you installed XCode with only the iOS SDK, you won't be able to run MacPorts
    or install new MacPorts software. You'll need to get or install the SDK for MacOS 10.6 or 10.7 as well.
    This may be why it's failing now.

  7. #7
    Livin the iPhone Life AngryPIG's Avatar
    Join Date
    Feb 2011
    Location
    Aberdeen, Scotland, UK
    Posts
    1,439
    Thanks
    320
    Thanked 926 Times in 452 Posts

    the leas test Xcode from mac store comes with sdk iOS 5.1 and os x lion. hot do i get to that?
    if i open applications/xcode in finder it just launches Xcode's.

    sorry I'm new to os x
    cydia.myrepospace.com/AngryPIG/

  8. #8
    I had the same problem.

    Im having Xcode 4.3.1 on Lion 10.7.3

    I fixed it by entering this in Terminal:

    sudo xcode-select -switch /Applications/Xcode.app/Contents/Developer
    Last edited by overdrivemachines; 07-25-2012 at 04:01 PM.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •